package git

// Pull pulls the latest changes from the remote
func (g *Git) Pull() error {

	_, err := g.Execute("pull")
	if err != nil {
		return err
	}

	return nil
}

// PullMain pulls the latest changes from the remote main branch
func (g *Git) PullMain() error {

	_, err := g.Execute("pull", "origin", g.MainBranch)
	if err != nil {
		return err
	}

	return nil
}
