//go:build mage

package main

import (
	"github.com/magefile/mage/sh"
)

// Build builds the binary
func Build() error {
	return sh.RunV("go", "build", "-o", "gsquash", "main.go")
}

// Install installs the binary
func Install() error {
	return sh.RunV("go", "install")
}

// Test runs the tests
func Test() error {
	return sh.RunV("go", "test", "./...")
}
